﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Session_Timeout_short.aspx.cs" Inherits="Session_Timeout_short" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Scriptmanager1" runat="server" />
        <script language="javascript">
            //a flag to ease the logic which determines whether to redirect the user
            //will not redirect if the RadButton is clicked
            var toRedirect = true;

            function OnClientHiding(sender, args)
            {
                if (toRedirect)
                {
                    window.location.href = sender.get_value();
                }
            }
            function ContinueSession()
            {
                var notification = $find("rnSessionTimeout");
                toRedirect = false;
                notification.update();
                notification.hide();
            }
            function OnClientShowing()
            {
                //raise the flaga again so that a redirect will occur if the notification autocloses
                toRedirect = true;
            }
        </script>
 
 <%--Note the AutoCloseDelay and the ShowInterval sum up to the Session.Timeout.
 If the user decides to renew the session beforehand these values will get some offset
 and this is inevitable, as JavaScript is not related to the server code in any way.

 You could keep a timer that monitors how long before the expiration the user clicked then adjust
 the ShowInterval property, yet this will complicate the logic very much
 --%>
    <telerik:RadNotification ID="rnSessionTimeout" runat="server" Position="Center" Width="300"
        Height="125" LoadContentOn="PageLoad" AutoCloseDelay="15000" OnClientShowing="OnClientShowing"
        Title="Session Expiration" Value="~/" TitleIcon="Warning" OnClientHiding="OnClientHiding"
        ContentIcon="Warning" Skin="Default" EnableRoundedCorners="true">
        <ContentTemplate>
                Your session is about to expire. Do you wish to continue using this site?<br />
                <telerik:RadButton Skin="Default" ID="continueSession" runat="server" Text="Continue Your Session" Style="margin-top: 10px;"
                OnClientClicked="ContinueSession" AutoPostBack="false" />
                <%--Please note the way the ClientClick handler is attached by passing only the function name
                and the way the postback is cancelled via the AutoPostBack property--%>
        </ContentTemplate>
    </telerik:RadNotification>
    </form>
</body>
</html>
