﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Session_Timeout_short : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //set the expire timeout for the session 
            Session.Timeout = 1;

            double interval = Session.Timeout - 0.25;//the notification will show a quarter of a minute before the session expires, i.e. the interval must be st to 45 seconds
            interval *= 100;
            rnSessionTimeout.ShowInterval = Convert.ToInt32(interval * 600);
            //set the redirect url as a value for an easier and faster extraction in on the client
            rnSessionTimeout.Value = Page.ResolveClientUrl("SessionExpired.aspx");
        }
    }

    protected void OnCallbackUpdate(object sender, Telerik.Web.UI.RadNotificationEventArgs e)
    {

    }
}